LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
OfxBalanceContainer Class Reference

Represents the <BALANCE> OFX SGML entity. More...

Inheritance diagram for OfxBalanceContainer:

## Public Member Functions
| OfxBalanceContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
| OfxBalanceContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
| OfxBalanceContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
## Data Fields
double | amount
int | amount_valid
time_t | date
int | date_valid

## Detailed Description

Represents the <BALANCE> OFX SGML entity.

OfxBalanceContainer is an auxiliary container (there is no matching data object in libofx.h)

Definition at line 110 of file lib/ofx_containers.hh.

## Member Function Documentation

void OfxBalanceContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 165 of file lib/ofx_containers_misc.cpp.

void OfxBalanceContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

void OfxBalanceContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

## Field Documentation

double OfxBalanceContainer::amount

Interpretation depends on balance_type

Definition at line 117 of file lib/ofx_containers.hh.

Referenced by add_attribute().

time_t OfxBalanceContainer::date

Effective date of the given balance

Definition at line 119 of file lib/ofx_containers.hh.

Referenced by add_attribute().

The documentation for this class was generated from the following files:

- lib/ofx_containers.hh
- libofx-0.9.5/lib/ofx_containers.hh
- tar-pax-libofx/lib/ofx_containers.hh
- lib/ofx_containers_misc.cpp
- libofx-0.9.5/lib/ofx_containers_misc.cpp
- tar-pax-libofx/lib/ofx_containers_misc.cpp